#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdint.h>
#include <util/delay.h>
#include "stdio.h"

#ifndef __CORE_H
#define __CORE_H

#define F_CPU              8000000UL

/* Delays */
#define delay_ms           _delay_ms
#define delay_us           _delay_us
#define Nop()              asm volatile ("nop")

#define  TRUE              1
#define  FALSE             0

#define  HI                1
#define  LO                0

#define  PIN_0             0x01
#define  PIN_1             0x02
#define  PIN_2             0x04
#define  PIN_3             0x08
#define  PIN_4             0x10
#define  PIN_5             0x20
#define  PIN_6             0x40
#define  PIN_7             0x80


#endif




